# $Revision: 1.58 $, $Date: 2005/09/06 18:31:03 $
# TODO:
# - enable internalization support (BR libftgl)
# - enable OpenAL support
# - libsolid/libqhull/libode BR ?
# - package python scripts
Summary:	3D modeling, rendering, animation and game creation package
Summary(pl):	Pakiet do tworzenia animacji 3D oraz gier
Name:		blender
Version:	2.37a
# 2.37a is not alpha. Is the latest, STABLE version of blender.
Release:	2
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://download.blender.org/source/%{name}-%{version}.tar.gz
# Source0-md5:	dd0002c09ecd68b3cb3e3d8f4ce31e83
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	%{name}-config.opts
Source4:	%{name}-wrapper
Source5:	%{name}.manpage
Patch0:		%{name}-po_and_locale_names.patch
Patch1:		%{name}-noxml-yafray.patch
URL:		http://www.blender.org/
BuildRequires:	OpenAL-devel
BuildRequires:	OpenGL-devel
BuildRequires:	SDL-devel
BuildRequires:	ftgl-devel
#BuildRequires:	autoconf
#BuildRequires:	automake
#BuildRequires:	esound-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	freetype-devel
BuildRequires:	libtool
BuildRequires:	libvorbis-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	scons
BuildRequires:	sed >= 4.0
#BuildRequires:	smpeg-devel
BuildRequires:	zlib-devel
Requires:	OpenGL
Requires:	python-modules
Requires:       freetype
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1

%description
Blender is a free and fully functional 3D modeling, rendering,
animation and game creation package for Unix, Windows and BeOS
systems.

%description -l pl
Blender to darmowy i w peni funkcjonalny pakiet do tworzenia animacji
3D oraz gier, dostpny dla systemw Unix, Windows i BeOS.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
mv -f po/pt_{br,BR}.po
install %{SOURCE3} config.opts

%build
rm -f missing

RPMCFLAGS="\"`echo %{rpmcflags}|sed 's/ /\",\"/g'`\""
RPMLDFLAGS="\"`echo %{rpmldflags}|sed 's/ /\",\"/g'`\""

sed -i -e "s|^CCFLAGS =.*|CCFLAGS = [$RPMCFLAGS]|" \
	-e "s|^CXXFLAGS =.*|CXXFLAGS = [$RPMCFLAGS]|" \
	-e "s|^LDFLAGS =.*|LDFLAGS = [$RPMLDFLAGS]|" \
	config.opts
sed -i -e "s|TARGET_CC =.*|TARGET_CC = '%{__cc}'|" \
	-e "s|TARGET_CXX =.*|TARGET_CXX = '%{__cxx}'|" \
	config.opts
sed -i 's/python2\.3/python%{py_ver}/' config.opts

scons
%{__make} -C po OCGDIR=..

install -d release/plugins/include
install source/blender/blenpluginapi/*.h release/plugins/include
chmod +x release/plugins/bmake
%{__make} -C release/plugins/

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir},%{_desktopdir},%{_pixmapsdir},%{_bindir}}

install blender $RPM_BUILD_ROOT%{_bindir}/blender-bin
install %{SOURCE4} $RPM_BUILD_ROOT%{_bindir}/blender
install blenderplayer $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
install -d $RPM_BUILD_ROOT%{_libdir}/blender/plugins/sequence
install -d $RPM_BUILD_ROOT%{_libdir}/blender/plugins/texture
install ./release/plugins/sequence/*.so $RPM_BUILD_ROOT%{_libdir}/blender/plugins/sequence
install ./release/plugins/texture/*.so $RPM_BUILD_ROOT%{_libdir}/blender/plugins/texture
install -d $RPM_BUILD_ROOT%{_datadir}/blender
cp -aR ./release/scripts $RPM_BUILD_ROOT%{_datadir}/blender
install ./release/VERSION $RPM_BUILD_ROOT%{_datadir}/blender
install ./bin/.blender/.Blanguages $RPM_BUILD_ROOT%{_datadir}/blender
install ./bin/.blender/.bfont.ttf $RPM_BUILD_ROOT%{_datadir}/blender
cp -a bin/.blender/locale $RPM_BUILD_ROOT%{_datadir}/blender
install -d $RPM_BUILD_ROOT%{_mandir}/man1
install %{SOURCE5} $RPM_BUILD_ROOT%{_mandir}/man1/blender.1
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README doc/bf-members.txt doc/python-dev-guide.txt doc/oldbugs.txt doc/interface_API.txt 
%doc release/text/{blender.html,release*.txt}
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_datadir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.png
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: blender.spec,v $
Revision 1.58  2005/09/06 18:31:03  arekm
- rel 2

Revision 1.57  2005/09/06 18:08:05  blekot
- %files fix

Revision 1.56  2005/06/20 13:25:51  blekot
- fixed install

Revision 1.55  2005/06/20 13:03:35  blekot
- up to 2.37a
- blender-noxml-yafray.patch updated

Revision 1.54  2005/05/10 19:10:51  darekr
- killed setting perms in %install; cosmetics

Revision 1.53  2005/02/22 01:25:33  gj
- cleanups, qboosh guidelines :-)

Revision 1.52  2005/02/19 21:59:36  gj
- installs manual page too. try it with man blender ;)

Revision 1.51  2005/02/19 21:44:26  gj
- much sanner handling of scripts and blender data. Hence blender was created to be installed in home dir only,
it has to use ~/.blender/ dir with few links to correct location of all files. This is now done using wrapper.

Revision 1.50  2005/02/19 20:12:41  gj
- use BlenderLanguages file, I had a chat with blender devels, and they don't find any other elegant solution
- disable by default xml to yafray interface, it doesn't work with current version anyway

Revision 1.49  2005/02/19 18:05:03  gj
- last change was rather important, bump up release

Revision 1.48  2005/02/19 18:01:10  gj
- use ftgl for freetype2

Revision 1.47  2005/01/02 16:38:02  saq
- drop python23 bcond, autodetect python version

Revision 1.46  2004/12/28 06:00:15  havner
- 2.36

Revision 1.45  2004/12/23 17:34:32  saq
- bcond python23 for optional python 2.3/2.4 build
- release 2 for rebuild with python 2.4

Revision 1.44  2004/11/17 20:40:13  freetz
- 2.35, STBR

Revision 1.43  2004/09/20 09:28:55  wiget
- release 1
- STBR for AC

Revision 1.42  2004/09/17 15:27:47  wiget
- install blenderplayer too

Revision 1.41  2004/09/17 15:21:37  wiget
- updated to 2.34
- use scons to build package (autoconf support removed)
- more docs included in package
- release 0.1 NFY

Revision 1.40  2004/08/23 06:20:50  ankry
- rel. 4

Revision 1.39  2004/08/23 06:20:22  ankry

- really fixed locale dirs

Revision 1.38  2004/08/04 06:24:05  ankry
- i18n fixes, add more translations (-po_and_locale_names patch), rel. 3

Revision 1.37  2004/07/28 19:42:13  kali
- desktop fix, rel. 2

Revision 1.36  2004/03/19 23:46:22  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.35  2004/02/05 11:24:54  freetz
- 2.32, STBR for Ac

Revision 1.34  2003/12/22 01:11:18  maho
- changed rpm version from 2.31-a to 2.31a (a isn't alpha/beta/pre but normal
  version number)

Revision 1.33  2003/12/21 23:30:24  maho
- new version: 2.31a

Revision 1.32  2003/11/07 22:46:14  freetz
- md5

Revision 1.31  2003/11/07 22:44:09  freetz
- 2.30 (first step to new gui !)
- commented out some BRs (they are not needed till game-blender works)

Revision 1.30  2003/10/17 23:12:44  radek
- R: python-modules (SIG11 if run without it)

Revision 1.29  2003/10/17 11:09:24  radek
- added URL tag

Revision 1.28  2003/10/15 22:12:03  freetz
- finished - localization added, rel. 1

Revision 1.27  2003/10/13 22:52:41  freetz
- version 2.28c
- added TODO entry (installing int. lang. files)
  NFY but compiles and works without problems

Revision 1.26  2003/09/30 20:18:20  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.25  2003/08/06 16:36:13  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.24  2003/07/27 22:59:26  freetz
- typo

Revision 1.23  2003/07/27 22:55:09  freetz
- up to 2.28
- lt/ac/at strikes back
- added .desktop and icon files
- python stuff cleanups (useless)
- new BRs
- builds and works very well

Revision 1.22  2003/07/07 04:23:51  blues
- many small fixes, inspired by kloczek

Revision 1.21  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.20  2003/05/25 05:46:00  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2003/05/15 10:36:51  wrobell
- ver. 2.27 /builds but nfy/

Revision 1.18  2003/04/17 15:18:22  qboosh
- it's build without --enable-blenderstatic, so -static libs are not needed

Revision 1.17  2003/03/31 13:56:35  jareq
- added BR: SDL-static, libjpeg-static, libstdc++-static

Revision 1.16  2003/02/13 14:02:02  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.15  2003/01/18 22:45:26  juandon
- removed two lines with define

Revision 1.14  2002/11/25 14:29:24  qboosh
- nas-devel is required by SDL-devel

Revision 1.13  2002/11/25 13:31:02  djrzulf
- added BR: nas-devel

Revision 1.12  2002/10/21 22:21:50  wrobell
- more python work

Revision 1.11  2002/10/21 17:14:33  wrobell
- fixed build requirements
- fixed file list

Revision 1.10  2002/10/21 14:10:53  wrobell
- switch to unofficial version with auto{conf,make} support

Revision 1.9  2002/10/20 20:41:45  wrobell
- start update to 2.25b GPL'ed version

Revision 1.8  2002/10/10 12:12:11  marcus
- use new %%doc

Revision 1.7  2002/04/25 15:53:54  arturs
fixed a small typo

Revision 1.6  2002/03/19 15:55:44  ankry
- fixed URL

Revision 1.5  2002/02/23 01:33:37  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:12:30  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/09/01 16:41:10  newrom
- updated to 2.20

Revision 1.1  2001/08/02 13:36:11  jajcus
- new spec
